org.eclipse.emf.cdo.net4j

## Class CDONet4jViewProvider

- java.lang.Object
- - org.eclipse.emf.cdo.view.AbstractCDOViewProvider
  - - org.eclipse.emf.cdo.net4j.CDONet4jViewProvider

- All Implemented Interfaces:
    CDOViewProvider, CDOViewProvider.CDOViewProvider2
  Direct Known Subclasses:
    CDONet4jViewProvider.JVM, CDONet4jViewProvider.SSL, CDONet4jViewProvider.TCP, CDONet4jViewProvider.WS

      public abstract class CDONet4jViewProvider
      extends AbstractCDOViewProvider

  A `view provider` that uses Net4j-specific CDO `sessions` to open views.
  Since:
    4.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CDONet4jViewProvider.JVM` A JVM-based `view provider`.
    `static class` | `CDONet4jViewProvider.SSL` An SSL-based `view provider`.
    `static class` | `CDONet4jViewProvider.TCP` A TCP-based `view provider`.
    `static class` | `CDONet4jViewProvider.WS` A WS-based `view provider`.

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.view.CDOViewProvider

      `CDOViewProvider.CDOViewProvider2`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `transport`

    - ### Fields inherited from interface org.eclipse.emf.cdo.view.CDOViewProvider

      `DEFAULT_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDONet4jViewProvider(java.lang.String transport, int priority)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected CDOURIData` | `createURIData(URI uri)`
    `protected IConnector` | `getConnector(java.lang.String authority)`
    `protected java.lang.String` | `getConnectorDescription(java.lang.String authority)`
    `protected IManagedContainer` | `getContainer()`
    `protected CDONet4jSession` | `getNet4jSession(IConnector connector, java.lang.String userName, java.lang.String passWord, java.lang.String repositoryName)`
    `protected CDONet4jSessionConfiguration` | `getNet4jSessionConfiguration(IConnector connector, java.lang.String userName, java.lang.String passWord, java.lang.String repositoryName)`
    `java.lang.String` | `getPath(URI uri)` Should be overwritten for non-canonical URI formats!
    `URI` | `getResourceURI(CDOView view, java.lang.String path)` Must be overwritten for non-canonical URI formats!
    `protected CDOSession` | `getSession(IConnector connector, java.lang.String userName, java.lang.String passWord, java.lang.String repositoryName)` Deprecated. Use `getNet4jSession()`.
    `protected CDOSessionConfiguration` | `getSessionConfiguration(IConnector connector, java.lang.String userName, java.lang.String passWord, java.lang.String repositoryName)` Deprecated. Use `getNet4jSessionConfiguration()`.
    `protected java.lang.String` | `getURIAuthority(IConnector connector)`
    `CDOView` | `getView(URI uri, ResourceSet resourceSet)` Receives a URI and returns an opened `CDOView` against the repository.
    `URI` | `getViewURI(URI uri)` Should be overwritten for non-canonical URI formats!

    - ### Methods inherited from class org.eclipse.emf.cdo.view.AbstractCDOViewProvider

      `getPriority, getRegex, getViewURI, matchesRegex, setPriority, setRegex, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### transport

          protected final java.lang.String transport

      Since:
        4.3

  - ### Constructor Detail

    - #### CDONet4jViewProvider

          public CDONet4jViewProvider(java.lang.String transport,
                                      int priority)

  - ### Method Detail

    - #### getView

          public CDOView getView(URI uri,
                                 ResourceSet resourceSet)

      Description copied from interface: `CDOViewProvider`
      Receives a URI and returns an opened `CDOView` against the repository. The implementer is responsible to do the UUID to physical host map in case necessary.
      Returns:
        a wired-up and opened `CDOView`

    - #### getPath

          public java.lang.String getPath(URI uri)

      Description copied from class: `AbstractCDOViewProvider`
      Should be overwritten for non-canonical URI formats!
      Specified by:
        `getPath` in interface `CDOViewProvider.CDOViewProvider2`
      Overrides:
        `getPath` in class `AbstractCDOViewProvider`

    - #### getViewURI

          public URI getViewURI(URI uri)

      Description copied from class: `AbstractCDOViewProvider`
      Should be overwritten for non-canonical URI formats!
      Specified by:
        `getViewURI` in interface `CDOViewProvider.CDOViewProvider2`
      Overrides:
        `getViewURI` in class `AbstractCDOViewProvider`

    - #### getResourceURI

          public URI getResourceURI(CDOView view,
                                    java.lang.String path)

      Description copied from class: `AbstractCDOViewProvider`
      Must be overwritten for non-canonical URI formats!
      Specified by:
        `getResourceURI` in interface `CDOViewProvider`
      Overrides:
        `getResourceURI` in class `AbstractCDOViewProvider`

    - #### createURIData

          protected CDOURIData createURIData(URI uri)

      Since:
        4.3

    - #### getURIAuthority

          protected java.lang.String getURIAuthority(IConnector connector)

    - #### getNet4jSession

          protected CDONet4jSession getNet4jSession(IConnector connector,
                                                    java.lang.String userName,
                                                    java.lang.String passWord,
                                                    java.lang.String repositoryName)

      Since:
        4.1

    - #### getNet4jSessionConfiguration

          protected CDONet4jSessionConfiguration getNet4jSessionConfiguration(IConnector connector,
                                                                              java.lang.String userName,
                                                                              java.lang.String passWord,
                                                                              java.lang.String repositoryName)

      Since:
        4.1

    - #### getSession

          @Deprecated
          protected CDOSession getSession(IConnector connector,
                                                       java.lang.String userName,
                                                       java.lang.String passWord,
                                                       java.lang.String repositoryName)

      Deprecated. Use `getNet4jSession()`.

    - #### getSessionConfiguration

          @Deprecated
          protected CDOSessionConfiguration getSessionConfiguration(IConnector connector,
                                                                                 java.lang.String userName,
                                                                                 java.lang.String passWord,
                                                                                 java.lang.String repositoryName)

      Deprecated. Use `getNet4jSessionConfiguration()`.

    - #### getContainer

          protected IManagedContainer getContainer()

    - #### getConnector

          protected IConnector getConnector(java.lang.String authority)

    - #### getConnectorDescription

          protected java.lang.String getConnectorDescription(java.lang.String authority)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html